Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513361 - Not working users page filters
Summary: Not working users page filters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ui
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Neha Gupta
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-11-15 09:52 UTC by Lubos Trilety
Modified: 2018-09-04 06:59 UTC (History)
2 users (show)

Fixed In Version: tendrl-ansible-1.6.1-2.el7rhgs.noarch.rpm, tendrl-api-1.6.1-1.el7rhgs.noarch.rpm, tendrl-commons-1.6.1-1.el7rhgs.noarch.rpm, tendrl-monitoring-integration-1.6.1-1.el7rhgs.noarch.rpm, tendrl-node-agent-1.6.1-1.el7, tendrl-ui-1.6.1-1.el7rhgs.noarch.rpm,
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:58:06 UTC


Attachments (Terms of Use)
User list - filter by userId (deleted)
2017-11-16 07:08 UTC, Neha Gupta
no flags Details
User list - filter by role (deleted)
2017-11-16 07:09 UTC, Neha Gupta
no flags Details
User list - filter by username (deleted)
2017-11-16 07:09 UTC, Neha Gupta
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 06:59:03 UTC
Github https://github.com/Tendrl ui issues 770 None None None 2018-01-10 04:42:56 UTC

Description Lubos Trilety 2017-11-15 09:52:07 UTC
Description of problem:
Filters on Users page have several issues:

1. It's not clear by which field are users filtered. There's several possibilities in drop down list but it's not obvious which one is selected.

2. Filters are not working. I have several users created if I put their name or ID in the filters no users are displayed. The same for role.

3. It's not possible to clear filters, delete the string or click on the 'Clear All Filters' doesn't help.

4. When Enter is pushed while there's focus on 'Filter by' field 'add user' page is opened.


Version-Release number of selected component (if applicable):
tendrl-ui-1.5.4-2.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Log in as admin user
2. Check all of those issues mentioned in description


Actual results:


Expected results:


Additional info:

Comment 1 Neha Gupta 2017-11-16 07:07:16 UTC
@Lubos 

1) Option selected in the filter drop down tells the field by which user will be filtered.

2) Filters are working for me for all the options. Attaching screenshots for the same.

3) There is no "Clear All Filters" link on the user list page.

4) Its a valid issue. Will fix it.

Comment 2 Neha Gupta 2017-11-16 07:08:32 UTC
Created attachment 1353263 [details]
User list - filter by userId

Comment 3 Neha Gupta 2017-11-16 07:09:06 UTC
Created attachment 1353264 [details]
User list - filter by role

Comment 4 Neha Gupta 2017-11-16 07:09:42 UTC
Created attachment 1353265 [details]
User list - filter by username

Comment 5 Nishanth Thomas 2017-11-16 09:02:39 UTC
I would propose to take this(Point 4 which is acked as an issue) in a future release as we are close 3.3.1 timelines and this bug not critical enough to affect the core functionality.

Comment 6 Lubos Trilety 2017-11-16 13:41:01 UTC
I had probably something cached in my browser, as it is really working.

I am fine with moving the last issue to next release.

(In reply to Neha Gupta from comment #1)
> @Lubos 
> 
> 1) Option selected in the filter drop down tells the field by which user
> will be filtered.
> 
> 2) Filters are working for me for all the options. Attaching screenshots for
> the same.
> 
> 3) There is no "Clear All Filters" link on the user list page.
> 
> 4) Its a valid issue. Will fix it.

Comment 8 Filip Balák 2018-05-09 12:43:10 UTC
Seems ok --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 10 errata-xmlrpc 2018-09-04 06:58:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.